httpd-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Yehuda Katz <yeh...@ymkatz.net>
Subject Re: [users@httpd] Reverse proxy to Websphere
Date Wed, 07 Mar 2012 17:21:17 GMT
On Wed, Mar 7, 2012 at 12:04 PM, Jorge Andres Osorio
<jvoorhees1@gmail.com>wrote:

> Hi people:
>
> I'm having issues with and old Apache 2.0.52 running as a reverse
> proxy to a Websphere server. The description of the problem is exactly
> the same that someone has with Apache 2.2.x in this URL:
>
> http://www.tek-tips.com/viewthread.cfm?qid=1577780
>
> Before just trying to upgrade my production reverse proxy server from
> the current to the latest Apache version, I would like to know if
> there's any kind of problem similar to these that maybe has been
> addressed with some specific settings or something like that.
>

First, you should definitely upgrade. At least to 2.2.22 and maybe even to
2.4.1.
Apache 2.0.52 is very old (more that 7 years old) and has security issues.

Which proxy module are you using?
The link you sent mentions mod_proxy_html (which is what is causing the
problem), but you should be able to use mod_proxy_http by itself.
Since you did not provide any information about your current settings, I
can just point you to this article which has full configuration
instructions for using Apache as a proxy to Websphere:
http://publib.boulder.ibm.com/infocenter/wsmashin/v1r0/index.jsp?topic=/com.ibm.websphere.sMash.doc/core/zero.core/docs/en/ProxyConfiguration.html

Mime
View raw message